Bug 1128366 - Review Request: lis - A library for solving linear equations and eigenvalue problems
Summary: Review Request: lis - A library for solving linear equations and eigenvalue p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 15:05 UTC by Florian "der-flo" Lehner
Modified: 2014-08-28 15:28 UTC (History)
2 users (show)

Fixed In Version: lis-1.4.57-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-28 15:28:57 UTC


Attachments (Terms of Use)

Description Florian "der-flo" Lehner 2014-08-09 15:05:28 UTC
Spec URL: https://flo.fedorapeople.org/lis.spec
SRPM URL: https://flo.fedorapeople.org/lis-1.4.53-1.fc20.src.rpm
Description:
Lis, a Library of Iterative Solvers for linear systems, is a scalable parallel library for solving systems of linear equations and standard eigenvalue problems with real sparse matrices using iterative methods.

Fedora Account System Username: flo

koji-Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7267825

Note: I adopted this orphaned package

Comment 1 Christopher Meng 2014-08-10 03:39:07 UTC
As you've taken the package, doing some cleanup is needed.

Please cleanup those obsoleted stuffs in the SPEC.

Comment 2 Florian "der-flo" Lehner 2014-08-10 09:28:11 UTC
Spec URL: https://flo.fedorapeople.org/lis.spec
SRPM URL: https://flo.fedorapeople.org/lis-1.4.53-2.fc20.src.rpm
koji-Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7269578

* Sun Aug 10 2014 Florian Lehner <dev@der-flo.net> - 1.4.53-2
- Remove defattr at the beginning of the files-section
- Use default buildroot instead of making its own
- Remove unnecessary clean-section
- Use pushd and popd instead of cd

If I missed something, please point me at it.

Comment 3 Christopher Meng 2014-08-11 05:45:06 UTC
1. 1.4.55(japanese version page) is out.

2. Can't "make check" work?

3. I'm not sure if --enable-longlong is needed on 64 bits arch, you'd better drop an email to the upstream.

4. WRONG:

%package doc
Summary:	Developer documentation for lis
Group:		Documentation
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description doc
Lis, a Library of Iterative Solvers for linear systems, is a scalable parallel
library for solving systems of linear equations and standard eigenvalue
problems with real sparse matrices using iterative methods.

This package contains the developer documentation for lis.

i. No BuildArch: noarch

ii. Requires:	%{name}%{?_isa} = %{version}-%{release}

When you fix i, drop the %_isa macro.

Comment 4 Florian "der-flo" Lehner 2014-08-11 18:15:20 UTC
(In reply to Christopher Meng from comment #3)
> 2. Can't "make check" work?
Unfortunately, it is stated:
*** No rule to make target 'check'


> 3. I'm not sure if --enable-longlong is needed on 64 bits arch, you'd better
> drop an email to the upstream.
It's necessary for cross compiling

Spec URL: https://flo.fedorapeople.org/lis.spec
SRPM URL: https://flo.fedorapeople.org/lis-1.4.55-1.fc20.src.rpm
koji-Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7274631

Comment 5 Christopher Meng 2014-08-12 03:21:21 UTC
1. Drop all "Group" tags in the SPEC.

2. lis.i686: W: spurious-executable-perm /usr/share/doc/lis/AUTHORS
lis.i686: W: spurious-executable-perm /usr/share/doc/lis/COPYING

Others are fine.

Fix 2 above and build in koji then push to f20+ IMO is the best scheme.

Comment 6 Florian "der-flo" Lehner 2014-08-12 19:40:06 UTC
Here is the update:

Spec URL: https://flo.fedorapeople.org/lis.spec
SRPM URL: https://flo.fedorapeople.org/lis-1.4.56-1.fc20.src.rpm
koji-Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7283428

Comment 7 Christopher Meng 2014-08-13 02:10:27 UTC
Fine now.

Please build and push.

I won't set the review flag as this package is already in the repo and not deprecated.

When you push updates to stable Fedora branches, mention this bug in Bugs section.

Comment 8 Fedora Update System 2014-08-13 18:33:44 UTC
lis-1.4.56-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lis-1.4.56-1.fc20

Comment 9 Fedora Update System 2014-08-16 00:29:41 UTC
Package lis-1.4.56-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lis-1.4.56-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9451/lis-1.4.56-1.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-08-18 17:57:26 UTC
lis-1.4.57-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lis-1.4.57-1.fc20

Comment 11 Fedora Update System 2014-08-28 15:28:57 UTC
lis-1.4.57-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.